var ExcelData, ExcelKind;

function ConfirmImport() {
    $.ajax({
        type: "POST",
        url: "/Admin/Users/Import?r=" + Math.random(1),
        data: "Kind=" + ExcelKind + "&ExcelData=" + encodeURIComponent(JSON.stringify(ExcelData)),
        dataType: "text",
        success: function (data) {
            if (data == "success") {
                layer.msg("导入成功", {
                    time: 2000
                }, function () {
                    window.location.reload();
                });
            } else if (data.indexOf("warning") == 0) {
                var datalist = data.split('|');
                layer.alert(datalist[0], {
                    time: 20000
                }, function () {
                    window.location.reload();
                });
            } else {
                layer.msg(data);
            }
        }
    });
}


layui.config({
    base: '/layuiadmin/' //静态资源所在路径
}).extend({
    myexcel: 'layui/lay/modules/excel',
    index: 'lib/index' //主入口模块
}).use(['index', 'table', 'excel', 'laydate'], function () {
    var $ = layui.$,
        form = layui.form,
        table = layui.table;

    //- 筛选条件-日期
    var laydate = layui.laydate;
    var layCreateDate = laydate.render({
        elem: '#CreateDate',
        type: 'date',
        range: true,
        trigger: 'click',
        change: function (value, date, endDate) {
            var op = true;
            if (date.year == endDate.year && endDate.month - date.month <= 1) {
                if (endDate.month - date.month == 1 && endDate.date > date.date) {
                    op = false;
                    layCreateDate.hint('日期范围请不要超过1个月');
                    setTimeout(function () {
                        $(".laydate-btns-confirm").addClass("laydate-disabled");
                    }, 1);
                }
            } else {
                op = false;
                layCreateDate.hint('日期范围请不要超过1个月');
                setTimeout(function () {
                    $(".laydate-btns-confirm").addClass("laydate-disabled");
                }, 1);
            }
            if (op) {
                $('#CreateDate').val(value);
            }
        }
    });


    //excel导入
    var excel = layui.excel;
    $('#ExcelFile').change(function (e) {
        var files = e.target.files;
        excel.importExcel(files, {}, function (data) {
            ExcelData = data[0].Sheet1;
        });
    });

    //监听单元格编辑
    table.on('edit(LAY-list-manage)', function (obj) {
        var value = obj.value //得到修改后的值
            ,
            data = obj.data //得到所在行所有键值
            ,
            field = obj.field; //得到字段
        if (field == "Sort") {
            $.ajax({
                type: "POST",
                url: "/Admin/Users/Sort?r=" + Math.random(1),
                data: "Id=" + data.Id + "&Sort=" + value,
                dataType: "text",
                success: function (data) {}
            });
        }
    });

    //列表数据
    table.render({
        elem: '#LAY-list-manage',
        url: '/Admin/Users/AuthIndexData' //模拟接口
            ,
        cols: [
            [{
                    type: 'checkbox',
                    fixed: 'left'
                }, {
                    field: 'Id',
                    width: 100,
                    title: 'ID',
                    sort: true
                }, {
                    field: 'MakerCode',
                    width: 200,
                    title: '创客编号',
                    sort: true
                }, {
                    field: 'RealName',
                    width: 200,
                    title: '创客姓名',
                    sort: true
                }, {
                    field: 'CertId',
                    width: 200,
                    title: '身份证号',
                    sort: true
                }, {
                    field: 'SettleBankCardNo',
                    width: 200,
                    title: '银行卡号',
                    sort: true
                }, {
                    field: 'SettleBankCardName',
                    width: 200,
                    title: '银行名称',
                    sort: true
                }, {
                    field: 'Mobile',
                    width: 200,
                    title: '联系手机',
                    sort: true
                }

                , {
                    title: '操作',
                    width: 1800,
                    align: 'left',
                    toolbar: '#table-list-tools'
                }
            ]
        ],
        where: {},
        page: true,
        limit: 30,
        height: 'full-' + String($('.layui-card-header').height() + 130),
        text: '对不起，加载出现异常！',
        done: function (res, curr, count) {
            $(".layui-none").text("无数据");
        }
    });

    //监听工具条
    table.on('tool(LAY-list-manage)', function (obj) {
        var data = obj.data;
        if (obj.event === 'Auth') {
            var index = layer.confirm('确定要认证吗？', function (index) {
                $.ajax({
                    type: "POST",
                    url: "/Admin/Users/Auth?r=" + Math.random(1),
                    data: "Id=" + data.Id,
                    dataType: "text",
                    success: function (data) {
                        if (data == "success") {
                            layer.close(index);
                            layer.msg("认证成功");
                        } else {
                            parent.layer.msg(data);
                        }
                    }
                });
            });
        }
    });


    //监听搜索
    form.on('submit(LAY-list-front-search)', function (data) {
        var field = data.field;

        //执行重载
        table.reload('LAY-list-manage', {
            where: field,
            page: {
                curr: 1
            }
        });
    });
    form.on('submit(LAY-list-front-searchall)', function (data) {
        table.reload('LAY-list-manage', {
            where: null,
            page: {
                curr: 1
            }
        });
    });

    //事件
    var active = {
        BatchAuth: function () {
            var checkStatus = table.checkStatus('LAY-list-manage'),
                data = checkStatus.data; //得到选中的数据
            if (data.length < 1) {
                parent.layer.msg("请选择要认证的项");
            } else {
                var ids = "";
                $.each(data, function (index, value) {
                    ids += data[index].Id + ",";
                });
                ids = ids.substring(0, ids.length - 1);
                var index = layer.confirm('确定要认证吗？', function (index) {
                    $.ajax({
                        type: "POST",
                        url: "/Admin/Users/Auth?r=" + Math.random(1),
                        data: "Id=" + ids,
                        dataType: "text",
                        success: function (data) {
                            layer.close(index);
                            if (data == "success") {
                                layer.msg("认证成功");
                                table.reload('LAY-list-manage');
                            } else {
                                layer.msg(data);
                            }
                        }
                    });
                });
            }
        }
    };

    $('.layui-btn').on('click', function () {
        var type = $(this).data('type');
        active[type] ? active[type].call(this) : '';
    });
});